
#include <stdio.h>
#include <iostream.h>

#define DATA_BEGIN   ((char) 2)
#define DATA_END     ((char) 5)
#define DATA_ESCAPE  ((char) 27)

void
f (int i, int nr) {
  if (i >= nr) cout << nr;
  else {
    cout << "\\frac{1}{" << i << "+";
    f (i+1, nr);
    cout << "}\n";
  }
}

int
main () {
  cout << DATA_BEGIN << "verbatim:";
  cout << "Hi there!";
  cout << DATA_END;
  fflush (stdout);

  while (1) {
    int i, nr;
    cin >> nr;
    cout << DATA_BEGIN << "verbatim:";

    cout << "A first formula\n";
    cout << DATA_BEGIN << "latex:";
    cout << "$";
    for (i=1; i<nr; i++)
      cout << "x_{" << i << "}+";
    cout << "x_{" << i << "}$";
    cout << DATA_END;

    cout << "\nA second formula\n";
    cout << DATA_BEGIN << "latex:";
    cout << "$\\displaystyle ";
    f (1, nr);
    cout << "$";
    cout << DATA_END;

    cout << DATA_END;
    fflush (stdout);
  }
  return 0;
}
